local medic_dozer = {
	Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic_classic/ene_bulldozer_medic_classic"),
	Idstring("units/pd2_dlc_drm/characters/ene_bulldozer_medic/ene_bulldozer_medic"),
	Idstring("units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_medic/ene_murkywater_bulldozer_medic"),
	Idstring("units/pd2_dlc_bex/characters/ene_swat_dozer_medic_policia_federale/ene_swat_dozer_medic_policia_federale")
}

local OldFunc = GroupAITweakData._init_unit_categories
function GroupAITweakData:_init_unit_categories(...)
	OldFunc(self, ...)
	self.special_unit_spawn_limits.medic = -math.huge
	for group, unit_group in pairs(self.unit_categories) do
		if unit_group.unit_types then
			for continent, units in pairs(unit_group.unit_types) do
				table.remove_condition(units, function(v)
					return table.contains(medic_dozer, v)
				end)
			end
		end
	end
end
